Subject: bug#22068: 25.0.50; Delayed reaction to switching frames?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Dec 2015 08:51:31 +0200

> Date: Wed, 02 Dec 2015 19:11:17 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > When I call the function it does call, that call does not return if it
>  > gets switch-frame events.  IOW, the function that asks the question
>  > doesn't know the frame was switched, and cannot do what David probably
>  > wants: switch frame and reissue the question.
> 
> OK.  But how can we get rid of that "switch-frame-" echo at least?

Will this really solve some significant part of the problem?  If it
does, we could perhaps introduce some inhibit-SOMETHING variable to do
that.